Python Language Chaîne d'exceptions avec augmentation de


Exemple

Lors du traitement d'une exception, vous souhaiterez peut-être générer une autre exception. Par exemple, si vous obtenez une IOError lors de la lecture d'un fichier, vous souhaiterez peut-être générer une erreur spécifique à l'application pour la présenter aux utilisateurs de votre bibliothèque.

Python 3.x 3.0

Vous pouvez enchaîner les exceptions pour montrer comment le traitement des exceptions s'est déroulé:

>>> try:
    5 / 0
except ZeroDivisionError as e:
    raise ValueError("Division failed") from e

Traceback (most recent call last):
  File "<stdin>", line 2, in <module>
ZeroDivisionError: division by zero

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<stdin>", line 4, in <module>
ValueError: Division failed